@import "font-noto";

@mixin niceitalics {
  font-style: italic;
  font-family: $font-italics;
  font-size: 1.08em;
}

html {
  @include line-height(1);

  font-family: $font-copy;
  font-size: $leading;
  font-size: $font-size;
  font-size: #{$base + 'px'};
  font-size: #{$base-font-size + '%'};

  text-rendering: optimizeLegibility;

  color: color(copy);

  @media screen and (max-width: 700px){
    font-size: $font-size * 0.9;
  }
}

// Line-height & margin reset
* {
  //@include margin(0, 0, 1);
}

html,
body {
  @include margin(0, 0);
}

h1,
h2,
h3,
h4 {
  margin: 0;
}

.page-title {
  text-align: center;
  font-size: 2em;
  margin: 0.85em 0.6em 0;
  font-family: $font-accent;
}

h2 {
  font-weight: bold;
  font-family: $font-accent;
  /*
  margin-top: 0.75em;
  font-size: 1.6em;
  margin-top: 1.5em;
  margin-bottom: 0;*/
}

h3 {
  font-weight: normal;
  /*font-size: 1.4em;
  margin-top: 1em;
  margin-bottom: 0;*/
}

h4 {
  font-weight: bold;
  /*font-size: 1em;
  margin-top: 0.85em;
  margin-top: #{0.75 * $leading + 'px'}*/
}
/* Headings
   ========================================================================== */

// Set headings sizes, line-heights and margins
@each $heading, $properties in $headings {
  #{$heading} {
    @include font-size(nth($properties, 1));
    @include line-height(nth($properties, 2));
    @include margin-top(nth($properties, 3));
    @include margin-bottom(nth($properties, 4));
  }
}

// Set margins between headings
h1 + h2 {
  @include margin-top(1);
}

h2 + h3,
h3 + h4,
h4 + h5 {
  @include margin-top(0.5);
}

h5 + h6 {
  @include margin-top(-0.5);
}

h6 {
  font-style: italic;
  font-weight: normal;
}

p {
  margin: 0;

  + p {
    margin-top: $gutter;
  }
}

.post > .einleitung {
  font-weight: bold;
  text-align: justify;
}

:not(.post) > .einleitung,
.aufmerksamkeit,
.entry-content > p:first-child {
  @include font-size(1.2);
  @include line-height(1.2);
  font-family: $font-accent;
}

a {
  text-decoration: none;
  color: color(action);
  transition: all 0.3s;

  @include on-event {
    color: color(action-hover);
  }
}

address {
  @include padding(0.5, 0.5);
  font-style: italic;
  color: #555;
}

blockquote {
  font-style: italic;
  color: #555;
}

/* Figures & other elements
   ========================================================================== */

figcaption {
  @include line-height(1);
  // TODO: color: $color-font-figcaption;
  font-size: 0.8125rem;
  font-style: italic;
  margin-bottom: 0;
  text-align: center;
}

blockquote {
  font-style: italic;
  padding-left: 1.4375rem;
  // font-size: 95%;
}

cite {
  font-style: normal;
}

// Quotes
figure blockquote {
  @include padding(1, 0);

  p {
    @include font-size(1.6875);
    @include line-height(1.5);
  }
}

// Lists
ul,
ol {
  li {
    margin-bottom: 0;
  }
}

// Horizontal rule
hr {
  @include margin-top($hr-margin);
  @include margin-bottom($hr-margin);
  border: 0;
  color: $hr-color;
  display: block;
  height: #{$leading + 'px'};
  height: #{$leading-rem + 'rem'};
  margin-right: auto;
  margin-left: auto;

  @if $hr-style == 'line' {
    background-size: 100% #{$leading + 'px'};
    background-size: 100% #{$leading-rem + 'rem'};
    background-image: linear-gradient(to bottom, transparent 1px, transparent #{ 0.5 * $leading - (0.5 * $hr-height) + 'px'},  $hr-color #{ 0.5 * $leading - (0.5 * $hr-height) + 'px'}, $hr-color #{ (0.5 * $leading  - (0.5 * $hr-height)) + $hr-height + 'px'}, transparent #{ (0.5 * $leading  - (0.5 * $hr-height)) + $hr-height + 'px'}, transparent #{$leading + 'px'});

    @if $hr-width == null {
      width: 100%;
    } @else {
      width: #{$hr-width + 'px'};
    }
  }

  @if $hr-style == 'type' {
    text-align: center;

    &::before {
      content: $hr-type-content;
      letter-spacing: $hr-type-char-spacing;
    }
  }
}

small {
  @include line-height(0.5);
}

code {
  @include padding-equal(.2);
}

dt,
dd {
  margin: 0;
}

dt {
  font-weight: bold;
}

dd + dt {
  @include margin-top(0.5);
}

ul {
  @include padding(0, 0, 0, 1);
}

li {
  list-style-type: none;
  position: relative;

  &::before {
    content: '–';
    left: -1em;
    position: absolute;
    font-weight: bold;
    color: color(light);
  }
}

.superheading {
  @include font-size(0.8125);
}

/* Small caps */
.smallcaps {
  font-variant: small-caps;
  font-size: 1.35em;
  text-transform: lowercase;
}

/* Double quote (") marks */
.pull-double {
  margin-left: -0.38em;
}

.push-double {
  margin-right: 0.38em;
}

/* Single quote (') marks */
.pull-single {
  margin-left: -0.15em;
}

.push-single {
  margin-right: 0.15em;
}

/* Optical margin alignment for particular letters */
/*.pull-T, .pull-V, .pull-W, .pull-Y {margin-left: -0.07em}
.push-T, .push-V, .push-W, .push-Y {margin-right: 0.07em}

.pull-O, .pull-C, .pull-o, .pull-c {margin-left: -0.04em}
.push-O, .push-C, .push-o, .push-c {margin-right: 0.04em}

.pull-A {margin-left: -0.03em}
.push-A {margin-right: 0.03em}*/

section::after {
  content: "";
  display: block;
  clear: both;
}

.btn {
  background-color: #fff;
  border: 1px solid #dbdbdb;
  border-width: 1px;
  color: #363636;
  cursor: pointer;
  justify-content: center;
  padding-bottom: calc(.5em - 1px);
  padding-left: 1em;
  padding-right: 1em;
  padding-top: calc(.5em - 1px);
  text-align: center;
  white-space: nowrap;
  -webkit-appearance: none;
  align-items: center;
  border-radius: 4px;
  box-shadow: none;
  display: inline-flex;
  font-size: 1rem;
  height: 2.5em;
  justify-content: flex-start;
  line-height: 1.5;
  position: relative;
}
